package com.bokecc.livemodule.live;

import com.bokecc.sdk.mobile.live.pojo.HDStreamQuality;
import com.bokecc.sdk.mobile.live.pojo.TeacherInfo;

import java.util.List;

public interface LiveDataCallback {
    /**
     * 背景图和提示语
     * @param background  播放器背景图
     * @param hint  播放器提示语
     */
    void onVideoBackgroundHint(String background,String hint);

    /**
     * roomsetting回调
     * @param source  视频源
     * @param chat  是否开启了聊天
     * @param qustion  是否开启了问答
     */
    void onRoomSetting(String source,boolean chat,boolean qustion);
    /**
     * 讲师列表
     * @param teacherInfos
     */
    void teacherList(List<TeacherInfo> teacherInfos);

    /**
     * 通知
     * @param msg
     */
    void onNotify(String msg);

    /**
     * 数据源切换
     * @param s
     */
    void onSwitchSource(String s);

    /**
     * 回调已播放时长
     * @param playTime
     */
    void onPlayTime(int playTime);

    /**
     * 自定义消息
     * @param message
     */
    void onMessage(String message);

    /**
     * 回调当前翻页信息
     * @param docId
     * @param docName
     * @param docWidth
     * @param docHeight
     * @param pageNum
     * @param docTotalPage
     */
    void onPageChange(String docId, String docName, int docWidth, int docHeight, int pageNum, int docTotalPage);

    /**
     * 推流状态
     * @param hdStreamQuality
     */
    void onPublishQuality(HDStreamQuality hdStreamQuality);

    /**
     * 拉流状态
     * @param userId
     * @param hdStreamQuality
     */
    void onPlayQuality(String userId, HDStreamQuality hdStreamQuality);
}
